> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/company-news-signals-api-deprecated/bulk-add-triggers.md).

# Bulk Add Triggers

`POST /api/v1/trigger/{GROUP_NAME} HTTP/1.1`

Replace GROUP\_NAME with the Group Name under which the triggers have to be added

**Request body**

```
{
            "triggerCodes": ["trigger_code"]
}
```

| Param         | Mandatory | Description                                                    |
| ------------- | --------- | -------------------------------------------------------------- |
| trigger\_code | Y         | Array of Intellizence Trigger Codes that you would like to add |

**Response body**

```
{
            "nonExistingTriggerCodes": ["trigger_code"],
            "alreadyTrackedTriggerCodes": ["trigger_code"],
            "addedTriggerCodes": ["trigger_code"]
}
```

<br>
